-----------------------------------------
-- PSP Guitar v0.2
-- Made by Sousanator
----------------------------------------
-- Acoustic - Normal Mode

-- Varibles
background = Image.load("bgs/bgA.png")
red = Color.new(255,0,0)

asound = Sound.load("sounds/acoustic/a.wav",false)
bsound = Sound.load("sounds/acoustic/b.wav",false)
dsound = Sound.load("sounds/acoustic/d.wav",false)
gsound = Sound.load("sounds/acoustic/g.wav",false)
lowes = Sound.load("sounds/acoustic/lowe.wav",false)
highes = Sound.load("sounds/acoustic/highe.wav",false)

function miniMenu()
	screen:print(0,230,"SELECT for Guitar mode",red)
	screen:print(0,240,"START for Controls",red)
	screen:print(0,250,"HOME to exit",red)
	end

-- coding starts here
while true do
screen:clear()

screen:blit(0, 0, background, 0, 0, background:width(), background:height(), false)
screen:print(0,260,"Hold ANALOG LEFT for options",red)
screen:print(300,3,"Acoustic - Normal Mode", red)
pad = Controls.read()
   analogPad = Controls.read() 
   dx = analogPad:analogX() 
   dy = analogPad:analogY()
pad:home()

if pad:up()
then 
asound:play()
end
if pad:right() then 
dsound:play()
end
if pad:l()
then
lowes:play()
end
if pad:r()
then 
highes:play()
end
if pad:triangle()
then
bsound:play()
end
if pad:square()
then
gsound:play()
end

-- to info page
if pad:start()
then
dofile ("scripts/info.lua")
end
-- to guitar mode
if pad:select()
then
dofile("scripts/acousticG.lua")
end
-- exit
if pad:home()
then
dofile("scripts/menu.lua")
end
-- analog left to mini menu
if dy > -25 and dy < 40 and dx == -128
then miniMenu() 
end

screen.waitVblankStart()
screen.flip()
end
