-------------------------------------------
-- PSP Guitar v0.2
-- Made by Sousanator
-------------------------------------------
-- Banjo - Guitar Mode

-- Varibles
background = Image.load("bgs/bgB.png")
red = Color.new(255,0,0)

sounda = Sound.load("sounds/banjo/a.wav",false)
lowe = Sound.load("sounds/banjo/lowe.wav",false)
soundd = Sound.load("sounds/banjo/d.wav",false)
soundg = Sound.load("sounds/banjo/g.wav",false)

function miniMenu()
	screen:print(0,230,"CIRCLE for normal mode",red)
	screen:print(0,240,"SQUARE for info page",red)
	screen:print(0,250,"TRIANGLE to exit",red)
	end
	
-- coding starts here
while true do
screen:clear()

screen:blit(0, 0, background, 0, 0, background:width(), background:height(), false)
screen:print(0,260,"Hold LEFT for options",red)
screen:print(300,10,"Banjo - Guitar Mode", red)

-- analog movements (thanks to monster356)
-- analogUp = dx > -60 and dx < 40 and dy == -128
-- analogDown= dx > -40 and dx < 40 and dy == 127
pad = Controls.read()
pad:home()
analogPad = Controls.read() 
   dx = analogPad:analogX() 
   dy = analogPad:analogY() 

--Analog Down + Start /and R
if pad:start() and dx > -40 and dx < 40 and dy == 127
then lowe:play()
end
--Analog Down + Select /and R
if pad:select() and dx > -40 and dx < 40 and dy == 127 
then sounda:play()
end
--Analog Up + Start /and R
if pad:start() and dx > -60 and dx < 40 and dy == -128
then soundg:play()
end
--Analog Up + Select /and R
if pad:select() and dx > -60 and dx < 40 and dy == -128
then soundd:play()
end

-- Exit
if pad:triangle() then
	dofile("scripts/menu.lua")
end
-- To info page
if pad:square() then
	dofile("scripts/info.lua")
end
--To normal mode
if pad:circle() then
	dofile("scripts/banjoN.lua")
end
-- Mini Menu
if pad:left() then
miniMenu()
end	

screen.waitVblankStart()
screen.flip()
end
