------------------------------------
-- PSP Guitar v0.2
-- Made by Sousanator
-------------------------------------
-- Banjo - Normal Mode

-- Varibles
background = Image.load("bgs/bgB.png")
red = Color.new(255,0,0)

sounda = Sound.load("sounds/banjo/a.wav",false)
lowes = Sound.load("sounds/banjo/lowe.wav",false)
soundd = Sound.load("sounds/banjo/d.wav",false)
soundg = Sound.load("sounds/banjo/g.wav",false)

function miniMenu()
	screen:print(0,230,"SELECT for Guitar mode",red)
	screen:print(0,240,"START for Controls",red)
	screen:print(0,250,"HOME to exit",red)
	end

-- coding starts here
while true do
screen:clear()

screen:blit(0, 0, background, 0, 0, background:width(), background:height(), false)
screen:print(0,260,"Hold ANALOG LEFT for options",red)
screen:print(300,10,"Banjo - Normal Mode", red)
pad = Controls.read()
   analogPad = Controls.read() 
   dx = analogPad:analogX() 
   dy = analogPad:analogY()
pad:home()

-- sounds
if pad:up()
then 
sounda:play()
end
if pad:right() then 
soundd:play()
end
if pad:triangle()
then
lowes:play()
end
if pad:square()
then
soundg:play()
end

-- other
if pad:start()
then
dofile ("scripts/info.lua")
end
if pad:select()
then
dofile("scripts/banjoG.lua")
end
if pad:home()
then
dofile("scripts/menu.lua")
end
-- analog left
if dy > -25 and dy < 40 and dx == -128
then miniMenu() 
end

screen.waitVblankStart()
screen.flip()
end
