-----------------------------------------
--PSP Guitar v0.2
--Made by Sousanator
----------------------------------------
-- Electric Guitar - Guitar Mode

-- Varibles
background = Image.load("bgs/bgE.png")
red = Color.new(255,0,0)

sounda = Sound.load("sounds/electric/dist/a.wav",false)
soundb = Sound.load("sounds/electric/dist/b.wav",false)
soundd = Sound.load("sounds/electric/dist/d.wav",false)
soundg = Sound.load("sounds/electric/dist/g.wav",false)
lowe = Sound.load("sounds/electric/dist/lowe.wav",false)
highe = Sound.load("sounds/electric/dist/highe.wav",false)

achord = Sound.load("sounds/electric/chord/achord.wav",false)
bchord = Sound.load("sounds/electric/chord/bchord.wav",false)
cchord = Sound.load("sounds/electric/chord/cchord.wav",false)
dchord = Sound.load("sounds/electric/chord/dchord.wav",false)
echord = Sound.load("sounds/electric/chord/echord.wav",false)
fchord = Sound.load("sounds/electric/chord/fchord.wav",false)
gchord = Sound.load("sounds/electric/chord/gchord.wav",false)
highechord = Sound.load("sounds/electric/chord/highechord.wav",false)

amute = Sound.load("sounds/electric/muted/ma.wav",false)
bmute = Sound.load("sounds/electric/muted/mb.wav",false)
cmute = Sound.load("sounds/electric/muted/mc.wav",false)
dmute = Sound.load("sounds/electric/muted/md.wav",false)
fmute = Sound.load("sounds/electric/muted/mf.wav",false)
gmute = Sound.load("sounds/electric/muted/mg.wav",false)
highemute = Sound.load("sounds/electric/muted/mhighe.wav",false)
lowemute = Sound.load("sounds/electric/muted/mlowe.wav",false)

-- REGULAR STARTS, STATUS 1
--Analog Down + Start
function default() 
screen:print(392, 260, "Regular ON", red)
if pad:start() and dx > -40 and dx < 40 and dy == 127
then soundb:play()
end
if pad:r() and dx > -40 and dx < 40 and dy == 127  
then highe:play()
end
--Analog Down + Select 
if pad:select() and dx > -40 and dx < 40 and dy == 127 
then soundg:play()
end
--Analog Up + Start 
if pad:start() and dx > -60 and dx < 40 and dy == -128
then sounda:play()
end
if pad:r() and dx > -60 and dx < 40 and dy == -128
then lowe:play()
end
--Analog Up + Select 
if pad:select() and dx > -60 and dx < 40 and dy == -128
then soundd:play()
end
end
-- ELECTRIC REGULAR ENDS, STATUS 1

-- chords play here, status 2
function chords()
screen:print(400, 260, "Chords ON", red)
if pad:start() and dx > -40 and dx < 40 and dy == 127 and pad:r() 
then fchord:play()
elseif pad:start() and dx > -40 and dx < 40 and dy == 127
then bchord:play()
end
if pad:r() and dx > -40 and dx < 40 and dy == 127  
then highechord:play()
end
--Analog Down + Select /and R
if pad:select() and dx > -40 and dx < 40 and dy == 127 and pad:r()
then gchord:play()
elseif pad:select() and dx > -40 and dx < 40 and dy == 127 
then cchord:play()
end
--Analog Up + Start /and R
if pad:start() and dx > -60 and dx < 40 and dy == -128 and pad:r()
then fchord:play()
elseif pad:start() and dx > -60 and dx < 40 and dy == -128
then achord:play()
end
if pad:r() and dx > -60 and dx < 40 and dy == -128
then echord:play()
end
--Analog Up + Select /and R
if pad:select() and dx > -60 and dx < 40 and dy == -128 and pad:r()
then gchord:play()
elseif pad:select() and dx > -60 and dx < 40 and dy == -128
then dchord:play()
end
end
-- ELECTRIC CHORD ENDS, STATUS 2

-- ELECTRIC MUTED STATUS 3
function palmMute()
screen:print(376, 260, "Palm Mute ON", red)
if pad:start() and dx > -40 and dx < 40 and dy == 127 and pad:r() 
then fmute:play()
elseif pad:start() and dx > -40 and dx < 40 and dy == 127
then bmute:play()
end
if pad:r() and dx > -40 and dx < 40 and dy == 127  
then highemute:play()
end
--Analog Down + Select /and R
if pad:select() and dx > -40 and dx < 40 and dy == 127 and pad:r()
then gmute:play()
elseif pad:select() and dx > -40 and dx < 40 and dy == 127 
then cmute:play()
end
--Analog Up + Start /and R
if pad:start() and dx > -60 and dx < 40 and dy == -128 and pad:r()
then fmute:play()
elseif pad:start() and dx > -60 and dx < 40 and dy == -128
then amute:play()
end
if pad:r() and dx > -60 and dx < 40 and dy == -128
then lowemute:play()
end
--Analog Up + Select /and R
if pad:select() and dx > -60 and dx < 40 and dy == -128 and pad:r()
then gmute:play()
elseif pad:select() and dx > -60 and dx < 40 and dy == -128
then dmute:play()
end
end 
-- ELECTRIC MUTED ENDS, STATUS 3
-- mini menu
function miniMenu()
	screen:print(0,230,"CIRCLE for normal mode",red)
	screen:print(0,240,"SQUARE for info page",red)
	screen:print(0,250,"TRIANGLE to exit",red)
	screen:print(0,215,"DOWN for Chord tunes",red)
	screen:print(0,205,"RIGHT for Palm Mute tunes",red)
	screen:print(0,195,"UP for Regular tunes",red)
	end
-- CODING STARTS HERE
screen:clear()
status=1
while true do
screen:blit(0, 0, background, 0, 0, background:width(), background:height(), false)
screen:print(0,260,"Hold LEFT for options",red)
screen:print(300,3,"Electric - Guitar Mode", red)

-- analog movements (thanks to monster356)
-- analogUp = dx > -60 and dx < 40 and dy == -128
-- analogDown= dx > -40 and dx < 40 and dy == 127
pad = Controls.read()

pad:home()
analogPad = Controls.read() 
   dx = analogPad:analogX() 
   dy = analogPad:analogY() 

if pad:up() then status = 1 end
if pad:down() then status = 2 end
if pad:right() then status = 3 end
if status == 1 then default() end
if status == 2 then chords() end
if status == 3 then palmMute() end

-- Exit
if pad:triangle() then
	dofile("scripts/menu.lua")
end
-- To info page
if pad:square() then
	dofile("scripts/info.lua")
end
--To normal mode
if pad:circle() then
	dofile("scripts/electricN.lua")
end
-- Mini Menu
if pad:left() then
	miniMenu()
end	

screen.waitVblankStart()
screen.flip()
end
