---------------------------------------------
-- PSP Guitar v0.2
-- Made by Sousanator
--------------------------------------------
-- Acoustic - Guitar Mode

-- Varibles
background = Image.load("bgs/bgA.png")
red = Color.new(255,0,0)

asound = Sound.load("sounds/acoustic/a.wav",false)
bsound = Sound.load("sounds/acoustic/b.wav",false)
dsound = Sound.load("sounds/acoustic/d.wav",false)
gsound = Sound.load("sounds/acoustic/g.wav",false)
lowes = Sound.load("sounds/acoustic/lowe.wav",false)
highes = Sound.load("sounds/acoustic/highe.wav",false)

function miniMenu()
	screen:print(0,230,"CIRCLE for normal mode",red)
	screen:print(0,240,"SQUARE for info page",red)
	screen:print(0,250,"TRIANGLE to exit",red)
	end
	
-- coding starts here
while true do
screen:clear()

screen:blit(0, 0, background, 0, 0, background:width(), background:height(), false)
screen:print(0,260,"Hold LEFT for options",red)
screen:print(300,3,"Acoustic - Guitar Mode", red)

-- analog movements (thanks to monster356)
-- analogUp = dx > -60 and dx < 40 and dy == -128
-- analogDown= dx > -40 and dx < 40 and dy == 127
pad = Controls.read()
pad:home()
analogPad = Controls.read() 
   dx = analogPad:analogX() 
   dy = analogPad:analogY() 
   
   --Analog Down + Start /and R
if pad:start() and dx > -40 and dx < 40 and dy == 127
then bsound:play()
end
if pad:r() and dx > -40 and dx < 40 and dy == 127  
then highes:play()
end
--Analog Down + Select /and R
if pad:select() and dx > -40 and dx < 40 and dy == 127 
then gsound:play()
end
--Analog Up + Start /and R
if pad:start() and dx > -60 and dx < 40 and dy == -128
then asound:play()
end
if pad:r() and dx > -60 and dx < 40 and dy == -128
then lowes:play()
end
--Analog Up + Select /and R
if pad:select() and dx > -60 and dx < 40 and dy == -128
then dsound:play()
end

-- Exit
if pad:triangle() then
	dofile("scripts/menu.lua")
end
-- To info page
if pad:square() then
	dofile("scripts/info.lua")
end
--To normal mode
if pad:circle() then
	dofile("scripts/acousticN.lua")
end
-- Mini Menu
if pad:left() then
miniMenu()
end	

screen.waitVblankStart()
screen.flip()
end
