---------------------------------------------
--PSP Guitar v0.2
--Made by Sousanator
-------------------------------------------
-- Electric Guitar - Normal Mode

-- Varibles
background = Image.load("bgs/bgE.png")
red = Color.new(255,0,0)

sounda = Sound.load("sounds/electric/dist/a.wav",false)
soundb = Sound.load("sounds/electric/dist/b.wav",false)
soundd = Sound.load("sounds/electric/dist/d.wav",false)
soundg = Sound.load("sounds/electric/dist/g.wav",false)
lowe = Sound.load("sounds/electric/dist/lowe.wav",false)
highe = Sound.load("sounds/electric/dist/highe.wav",false)

achord = Sound.load("sounds/electric/chord/achord.wav",false)
bchord = Sound.load("sounds/electric/chord/bchord.wav",false)
cchord = Sound.load("sounds/electric/chord/cchord.wav",false)
dchord = Sound.load("sounds/electric/chord/dchord.wav",false)
echord = Sound.load("sounds/electric/chord/echord.wav",false)
fchord = Sound.load("sounds/electric/chord/fchord.wav",false)
gchord = Sound.load("sounds/electric/chord/gchord.wav",false)
highechord = Sound.load("sounds/electric/chord/highechord.wav",false)

amute = Sound.load("sounds/electric/muted/ma.wav",false)
bmute = Sound.load("sounds/electric/muted/mb.wav",false)
cmute = Sound.load("sounds/electric/muted/mc.wav",false)
dmute = Sound.load("sounds/electric/muted/md.wav",false)
fmute = Sound.load("sounds/electric/muted/mf.wav",false)
gmute = Sound.load("sounds/electric/muted/mg.wav",false)
highemute = Sound.load("sounds/electric/muted/mhighe.wav",false)
lowemute = Sound.load("sounds/electric/muted/mlowe.wav",false)

-- REGULAR STARTS, STATUS 1
function default() 
screen:print(392, 260, "Regular ON", red)
if pad:up()
then 
sounda:play()
end
if pad:right() then 
soundd:play()
end
if pad:l()
then
lowe:play()
end
if pad:r()
then 
highe:play()
end
if pad:triangle()
then
soundb:play()
end
if pad:square()
then
soundg:play()
end
end
-- ELECTRIC REGULAR ENDS, STATUS 1

-- chords play here, status 2
function chords()
screen:print(400, 260, "Chords ON", red)
if pad:up()
then 
achord:play()
end
if pad:right() then 
dchord:play()
end
if pad:down() then 
cchord:play()
end
if pad:l()
then
echord:play()
end
if pad:r()
then 
highechord:play()
end
if pad:triangle()
then
bchord:play()
end
if pad:square()
then
gchord:play()
end
if pad:cross()
then
fchord:play()
end
end
-- ELECTRIC CHORD ENDS, STATUS 2

-- ELECTRIC MUTED STATUS 3
function palmMute()
screen:print(376, 260, "Palm Mute ON", red)
if pad:up()
then 
amute:play()
end
if pad:right() then 
dmute:play()
end
if pad:down()
then
cmute:play()
end
if pad:l()
then
lowemute:play()
end
if pad:r()
then 
highemute:play()
end
if pad:triangle()
then
bmute:play()
end
if pad:square()
then
gmute:play()
end
if pad:cross()
then
fmute:play()
end
end 
-- ELECTRIC MUTED ENDS, STATUS 3
-- mini menu
function miniMenu()
	screen:print(0,230,"SELECT for Guitar Mode",red)
	screen:print(0,240,"START for Controls",red)
	screen:print(0,250,"HOME to exit",red)
	screen:print(0,215,"ANALOG DOWN for Chord tunes",red)
	screen:print(0,205,"ANALOG RIGHT for Palm Mute tunes",red)
	screen:print(0,195,"ANALOG UP for Regular tunes",red)
	end
-- CODING STARTS HERE
screen:clear()
status=1
while true do
screen:blit(0, 0, background, 0, 0, background:width(), background:height(), false)
screen:print(0,260,"Hold ANALOG LEFT for options",red)
screen:print(300,3,"Electric - Normal Mode", red)

-- analog movements (thanks to monster356)
-- analogUp = dx > -60 and dx < 40 and dy == -128
-- analogDown= dx > -40 and dx < 40 and dy == 127
pad = Controls.read()
   analogPad = Controls.read() 
   dx = analogPad:analogX() 
   dy = analogPad:analogY()
pad:home()
-- Exit
if pad:home() then
	dofile("scripts/menu.lua")
end
-- To info page
if pad:start() then
	dofile("scripts/info.lua")
end
--To normal mode
if pad:select() then
	dofile("scripts/electricG.lua")
end
-- Mini Menu- Left
if dy > -25 and dy < 40 and dx == -128 then
	miniMenu()
end	
-- alalog up - regular tunes
if dx > -60 and dx < 40 and dy == -128 then
status = 1
end
-- alalog down - chord tunes
if dx > -40 and dx < 40 and dy == 127 then
status = 2 
end
-- alalog right - palm mute tunes
if dy > -35 and dy < 45 and dx == 127 then
status = 3 
end

if status == 1 then default() end
if status == 2 then chords() end
if status == 3 then palmMute() end

screen.waitVblankStart()
screen.flip()
end
