--------------------------------------
-- PSP Guitar v0.2
-- By Sousanator
-------------------------------------
-- Menu page

-- varibles
scroll = Sound.load("sounds/scroll.wav")
ding = Sound.load("sounds/ding.wav")
playB = Image.load("bgs/playB.png")
playA = Image.load("bgs/playA.png")
playE = Image.load("bgs/playE.png")
controls = Image.load("bgs/info.png")
exit = Image.load("bgs/exit.png")
green = Color.new(0,255,0)

screen:clear()
menustatus=0
while true do

if pad:down() or pad:up() then scroll:play() end
--set menu option
--Select Options
pad = Controls.read()
oldpad = Controls.read()
pad:home()

if pad:down() and menustatus == 0.0 or pad:down() and menustatus == 1.0 or pad:down() and menustatus == 2.0 
or pad:down() and menustatus == 3.0 or pad:down() and menustatus == 4.0 
then menustatus = menustatus + 1.0
screen.waitVblankStart(10  )
end

if pad:down() and menustatus == 3.1 then
	menustatus = 4.0
screen.waitVblankStart(10  )
end
if pad:down() and menustatus == 2.1 then
	menustatus = 3.0
screen.waitVblankStart(10  )
end
if pad:down() and menustatus == 1.1 then
	menustatus = 2.0
screen.waitVblankStart(10  )
end
if pad:down() and menustatus == 0.1 then
	menustatus = 1.0
screen.waitVblankStart(10  )
end

if pad:up() and menustatus == 0.1 then
	menustatus = 0.0
screen.waitVblankStart(10  )
end
if pad:up() and menustatus == 1.1 then
	menustatus = 1.0
screen.waitVblankStart(10  )
end
if pad:up() and menustatus == 2.1 then
	menustatus = 2.0
screen.waitVblankStart(10  )
end
if pad:up() and menustatus == 3.1 then
	menustatus = 3.0
screen.waitVblankStart(10  )
end
if pad:up() and menustatus == 4.1 then
	menustatus = 4.0
screen.waitVblankStart(10  )
end
if pad:up() and menustatus == 0.0  or pad:up() and menustatus == 1.0 or pad:up() and menustatus == 2.0
 or pad:up() and menustatus == 3.0 or pad:up() and menustatus == 4.0 then
	menustatus = menustatus - 1.0
screen.waitVblankStart(10  )
end

-- ELECTRIC
if pad:right() and menustatus == 0.0 then menustatus = menustatus - 0.1
screen.waitVblankStart(10  )
end
if pad:right() and menustatus == 0.1 then menustatus = menustatus - 0.1
screen.waitVblankStart(10  )
end

if pad:left() and menustatus == 0.0 then menustatus = menustatus - 0.1
screen.waitVblankStart(10  )
end
if pad:left() and menustatus == 0.1 then menustatus = menustatus - 0.1
screen.waitVblankStart(10  )
end

-- ACOUSTIC 
if pad:right() and menustatus == 1.0 then menustatus = menustatus - 0.1
screen.waitVblankStart(10  )
end
if pad:right() and menustatus == 1.1 then menustatus = menustatus - 0.1
screen.waitVblankStart(10  )
end

if pad:left() and menustatus == 1.0 then menustatus = menustatus - 0.1
screen.waitVblankStart(10  )
end
if pad:left() and menustatus == 1.1 then menustatus = menustatus - 0.1
screen.waitVblankStart(10  )
end

-- BANJO
if pad:right() and menustatus == 2.0 then menustatus = menustatus - 0.1
screen.waitVblankStart(10  )
end
if pad:right() and menustatus == 2.1 then menustatus = menustatus - 0.1
screen.waitVblankStart(10  )
end

if pad:left() and menustatus == 2.0 then menustatus = menustatus - 0.1
screen.waitVblankStart(10  )
end
if pad:left() and menustatus == 2.1 then menustatus = menustatus - 0.1
screen.waitVblankStart(10  )
end

-- ELECTRIC GUITAR MODE
if pad:cross() and
	menustatus == 0.0 then
		ding:play()
		dofile("scripts/electricG.lua")
		end
-- ELECTRIC GUITAR MODE
if pad:cross() and
	menustatus == 0.1 then
		ding:play()
		dofile("scripts/electricN.lua")
end
-- PLAY ACOUSTIC GUITAR MODE
if pad:cross() and
	menustatus == 1.0 then
		ding:play()
		dofile("scripts/acousticG.lua")
	end
-- PLAY ACOUSTIC NORMAL MODE
if pad:cross() and
	menustatus == 1.1 then
		ding:play()
		dofile("scripts/acousticN.lua")
end
-- BANJO GUITAR MODE
if pad:cross() and
	menustatus == 2.0 then
		ding:play()
		dofile("scripts/banjoG.lua")
end
-- BANJO NORMAL MODE
if pad:cross() and
	menustatus == 2.1 then
		ding:play()
		dofile("scripts/banjoN.lua")
end
-- CONTROLS 
if pad:cross() and
	menustatus == 3.0 then
		ding:play()
		dofile("scripts/info.lua")
end

-- EXIT
if menustatus == 4.0 and pad:cross() then
		break
	end
	
--Make Menu
-- ELECTRIC
if menustatus == 0.0 then
	screen:blit(0,0,playE)
	screen:print(328, 78, "Guitar Mode", green)
	screen.flip()
end
if menustatus == 0.1 then
	screen:blit(0,0,playE)
	screen:print(328, 78, "Normal Mode", green)
	screen.flip()
end

-- ACOUSTIC
if menustatus == 1.0 then
	screen:blit(0,0,playA)
	screen:print(325, 100, "Guitar Mode", green)
	screen.flip()
end

if menustatus == 1.1 then
	screen:blit(0,0,playA)
	screen:print(325, 100, "Normal Mode", green)
	screen.flip()
end
-- BANJO
if menustatus == 2.0 then
	screen:blit(0,0,playB)
	screen:print(323, 124, "Guitar Mode", green)
	screen.flip()
end
if menustatus == 2.1 then
	screen:blit(0,0,playB)
	screen:print(323, 124, "Normal Mode", green)
	screen.flip()
end

if menustatus == 3.0 then
	screen:blit(0,0,controls)
	screen.flip()
end

if menustatus == 4.0 then
	screen:blit(0,0,exit)
	screen.flip()
end

if pad:home() then dofile("script.lua")
end
--ELECTRIC
if menustatus == -0.1 then
menustatus = menustatus + 0.2
end
if menustatus == 0.2 then
menustatus = menustatus - 0.2
end
--acoustic
if menustatus == 0.9 then
menustatus = menustatus + 0.2
end
if menustatus == 1.2 then
menustatus = menustatus - 0.2
end
--BANJO
if menustatus == 1.9 then
menustatus = menustatus + 0.2
end
if menustatus == 2.2 then
menustatus = menustatus - 0.2
end

-- complete menu system
if menustatus == -1.0 then
menustatus = menustatus + 5.0
end
if menustatus == 5.0 then
menustatus = menustatus - 5.0
end
oldpad = pad
end
